@import "animations/our-story.css";

.our-story-wrapper {
  padding: 180px 0;
  position: relative;
}

.our-story {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 1fr;
  grid-column-gap: 48px;
}

/*  IMAGES SIDE */

.our-story-images {
  z-index: 1;
  display: flex;
  flex-direction: column;
  overflow: hidden;
  padding-right: 100px;
}

.our-story-images-row {
  display: flex;
  justify-content: flex-end;
}

.our-story-images-row:first-child {
  height: 144px;
  align-items: flex-end;
  padding-right: 90px;
  margin-bottom: 10px;
}

.our-story-images-row:nth-child(2) {
  height: 104px;
  margin-bottom: 10px;
}

.our-story-images-row:last-child {
  height: 144px;
}

.our-story-images-row:last-child {
  align-items: flex-start;
  padding-right: 84px;
}

.our-story-images-row img {
  border-radius: 12px;
}

.our-story-images-row img:not(:last-child) {
  margin-right: 10px;
}

.our-story-images-row.swap-row img:nth-child(2n) {
  width: 104px;
}

.our-story-images-row.swap-row img:nth-child(2n + 1) {
  width: 144px;
}

.our-story-images-row.second-row img {
  width: 104px;
}

.our-story-images-row.second-row img {
  opacity: 0.1;
}
/* ANIMATIONS */

.our-story-images-row.swap-row img:not(:last-child):nth-child(2n) {
  opacity: .1;
  animation: swap-to-left 2s ease-in-out infinite alternate;
}

.our-story-images-row.swap-row img:not(:last-child):nth-child(2n + 1) {
  animation: swap-to-right 2s ease-in-out infinite alternate;
}

.our-story-images-row.swap-row:last-child img:last-child {
  animation: zooming 2s .5s ease-in-out infinite alternate;
}

.our-story-images-row.swap-row:first-child img:last-child {
  animation: swap-to-bot 2s ease-in-out infinite alternate;
}

.our-story-images-row.second-row img:last-child {
  animation: swap-to-top 2s ease-in-out infinite alternate;
}

.our-story-images-row.second-row img:not(:last-child):nth-child(2n) {
  animation: second-row-fade 2s ease-in-out infinite alternate;
}

.our-story-images-row.second-row img:not(:last-child):nth-child(2n+1) {
  animation: second-row-fade 2s 2s ease-in-out infinite alternate;
}

/* TEXT SIDE */

.our-story-textbox {
  z-index: 1;
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-column-gap: 40px;
}

.our-story-textbox-story {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.our-story-textbox-story > *:not(:last-child) {
  margin-bottom: 18px;
}

.our-story-textbox-images {
  display: grid;
  grid-row-gap: 10px;
  grid-template-rows: 144px 104px 144px;
}

.our-story-textbox-images-row {
  display: flex;
  grid-template-columns: repeat(4, 144px 104px);
  justify-content: flex-start;
  overflow: hidden;
}

.our-story-textbox-images-row img {
  border-radius: 12px;
}

.our-story-textbox-images-row img:not(:last-child) {
  margin-right: 10px;
}

.our-story-textbox-images-row.swap-row img:nth-child(2n + 1) {
  width: 104px;
}

.our-story-textbox-images-row.swap-row img:nth-child(2n) {
  opacity: .1;
  animation: swap-to-left 2s ease-in-out infinite alternate;
}

.our-story-textbox-images-row.swap-row img:nth-child(2n + 1) {
  animation: swap-to-right 2s ease-in-out infinite alternate;
}

.our-story-textbox-images-row.second-row img:nth-child(2n) {
  animation: second-row-fade 2s ease-in-out infinite alternate;
}

.our-story-textbox-images-row.second-row img:nth-child(2n+1) {
  animation: second-row-fade 2s 2s ease-in-out infinite alternate;
}

.our-story-textbox-images-row:first-child {
  align-items: flex-end;
}

.our-story-textbox-images-row:last-child {
  align-items: flex-start;
}

.our-story-textbox-images-row.swap-row {
  padding-left: 48px;
}

.our-story-textbox-images-row.swap-row img:nth-child(2n) {
  width: 104px;
}

.our-story-textbox-images-row.second-row img {
  width: 104px;
  opacity: .1;
}

/* BACKGROUND WITH BLOCKS */

.our-story-background {
  z-index: 0;
  position: absolute;
  width: 1440px;
  top: 0;
  bottom: 0;
  left: 50%;
  transform: translateX(-50%);
}

.block {
  position: absolute;
  border-radius: 12px;
  width: 73px;
  height: 73px;
}

.block.sm {
  width: 51px;
  height: 51px;
}

.block.lg {
  width: 104px;
  height: 104px;
}

@media (max-width: 1023px) {
  .our-story-wrapper {
    padding: 101px 0 88px 0;
  }

  .our-story {
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
    grid-row-gap: 40px;
  }

  /* TEXT SIDE */

  .our-story-textbox {
    padding: var(--mobile-container-padding);
    grid-template-columns: 1fr;
  }

  .our-story-textbox-images {
    display: none;
  }

  /* IMAGES */

  .our-story-images {
    padding-right: 0;
  }

  .our-story-images-row {
    display: flex;
    justify-content: center;
  }

  .our-story-images-row:first-child {
    margin-bottom: 10px;
    padding-right: 0;
    height: 114px;
  }

  .our-story-images-row:nth-child(2) {
    height: 83px;
    margin-bottom: 10px;
  }

  .our-story-images-row:last-child {
    padding-right: 0;
    height: 114px;
  }

  .our-story-images-row.swap-row:first-child img:last-child {
    animation: zooming 2s 1s ease-in-out infinite alternate;
  }

  .our-story-images-row.second-row img:nth-child(2n) {
    animation: second-row-fade 2s ease-in-out infinite alternate;
  }

  .our-story-images-row.second-row img:nth-child(2n+1) {
    animation: second-row-fade 2s 2s ease-in-out infinite alternate;
  }

  .our-story-images-row img:not(:last-child) {
    margin-right: 8px;
  }

  .our-story-images-row.swap-row img:nth-child(2n) {
    width: 83px;
  }

  .our-story-images-row.swap-row img:nth-child(2n + 1) {
    width: 114px;
  }

  .our-story-images-row.second-row img {
    width: 83px;
  }

  /*  BLOCKS */
  .block {
    width: 73px;
    height: 73px;
  }

  .block.sm {
    width: 32px;
    height: 32px;
  }

  .block.lg {
    width: 83px;
    height: 83px;
  }
}